/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { FinancialSeriesDescription } from "./FinancialSeriesDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var FinancialPriceSeriesDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(FinancialPriceSeriesDescription, _super);
    function FinancialPriceSeriesDescription() {
        var _this = _super.call(this) || this;
        _this.fp = null;
        _this.fo = null;
        _this.fd = null;
        _this.e9 = 0;
        _this.e7 = null;
        _this.fb = 0;
        _this.fg = null;
        _this.fl = null;
        _this.fj = null;
        _this.fh = null;
        _this.fe = null;
        _this.fm = null;
        _this.fk = null;
        _this.fi = null;
        _this.ff = null;
        _this.fn = null;
        return _this;
    }
    FinancialPriceSeriesDescription.prototype.get_type = function () {
        return "FinancialPriceSeries";
    };
    Object.defineProperty(FinancialPriceSeriesDescription.prototype, "trendLineType", {
        get: function () {
            return this.fp;
        },
        set: function (a) {
            this.fp = a;
            this.g("TrendLineType");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(FinancialPriceSeriesDescription.prototype, "trendLineBrush", {
        get: function () {
            return this.fo;
        },
        set: function (a) {
            this.fo = a;
            this.g("TrendLineBrush");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(FinancialPriceSeriesDescription.prototype, "actualTrendLineBrush", {
        get: function () {
            return this.fd;
        },
        set: function (a) {
            this.fd = a;
            this.g("ActualTrendLineBrush");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(FinancialPriceSeriesDescription.prototype, "trendLineThickness", {
        get: function () {
            return this.e9;
        },
        set: function (a) {
            this.e9 = a;
            this.g("TrendLineThickness");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(FinancialPriceSeriesDescription.prototype, "trendLineDashArray", {
        get: function () {
            return this.e7;
        },
        set: function (a) {
            this.e7 = a;
            this.g("TrendLineDashArray");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(FinancialPriceSeriesDescription.prototype, "trendLinePeriod", {
        get: function () {
            return this.fb;
        },
        set: function (a) {
            this.fb = a;
            this.g("TrendLinePeriod");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(FinancialPriceSeriesDescription.prototype, "displayType", {
        get: function () {
            return this.fg;
        },
        set: function (a) {
            this.fg = a;
            this.g("DisplayType");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(FinancialPriceSeriesDescription.prototype, "negativeOutline", {
        get: function () {
            return this.fl;
        },
        set: function (a) {
            this.fl = a;
            this.g("NegativeOutline");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(FinancialPriceSeriesDescription.prototype, "lowMemberAsLegendLabel", {
        get: function () {
            return this.fj;
        },
        set: function (a) {
            this.fj = a;
            this.g("LowMemberAsLegendLabel");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(FinancialPriceSeriesDescription.prototype, "highMemberAsLegendLabel", {
        get: function () {
            return this.fh;
        },
        set: function (a) {
            this.fh = a;
            this.g("HighMemberAsLegendLabel");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(FinancialPriceSeriesDescription.prototype, "closeMemberAsLegendLabel", {
        get: function () {
            return this.fe;
        },
        set: function (a) {
            this.fe = a;
            this.g("CloseMemberAsLegendLabel");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(FinancialPriceSeriesDescription.prototype, "openMemberAsLegendLabel", {
        get: function () {
            return this.fm;
        },
        set: function (a) {
            this.fm = a;
            this.g("OpenMemberAsLegendLabel");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(FinancialPriceSeriesDescription.prototype, "lowMemberAsLegendUnit", {
        get: function () {
            return this.fk;
        },
        set: function (a) {
            this.fk = a;
            this.g("LowMemberAsLegendUnit");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(FinancialPriceSeriesDescription.prototype, "highMemberAsLegendUnit", {
        get: function () {
            return this.fi;
        },
        set: function (a) {
            this.fi = a;
            this.g("HighMemberAsLegendUnit");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(FinancialPriceSeriesDescription.prototype, "closeMemberAsLegendUnit", {
        get: function () {
            return this.ff;
        },
        set: function (a) {
            this.ff = a;
            this.g("CloseMemberAsLegendUnit");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(FinancialPriceSeriesDescription.prototype, "openMemberAsLegendUnit", {
        get: function () {
            return this.fn;
        },
        set: function (a) {
            this.fn = a;
            this.g("OpenMemberAsLegendUnit");
        },
        enumerable: false,
        configurable: true
    });
    FinancialPriceSeriesDescription.$t = markType(FinancialPriceSeriesDescription, 'FinancialPriceSeriesDescription', FinancialSeriesDescription.$);
    return FinancialPriceSeriesDescription;
}(FinancialSeriesDescription));
export { FinancialPriceSeriesDescription };
